<?php
session_start();
// mainīgo deklarācija
	$username = "";
	$email    = "";
	$errors = array(); 
	$_SESSION['success'] = "";
	//datubāzes konfigurācija
$servername = "localhost";
$username = "gamizoge_admins";
$password = "^uuem[j6kjJ#";
$dbname = "gamizoge_Forums";
	// pieslēgties datubāzei
	$db = new mysqli($servername, $username, $password, $dbname);
	// ja nospiesta poga
if (isset($_POST['verify_user'])) {
    // saglabā datus no input loga iekšā mainīgajos
	$email=$_POST['email'];
	$unique_code=$_POST['unique_code'];
	//pārbauda, vai input lodziņi nav tukši, ja ir, tad parāda kļūdu
	if (empty($email)) { array_push($errors, "Ievadiet e-pastu."); }
	if (empty($unique_code)) { array_push($errors, "Ievadiet kodu."); }
	//ja ir ievadīts viss, tad atjaunina tabulu users, kur e-pasts un kods sakrīt ievadītajiem input lodziņiem
	 if(isset($_POST['email']) && !empty($_POST['email']) &&
		isset($_POST['unique_code']) && !empty($_POST['unique_code'])){
       
	  $sqlk = "UPDATE users SET verified='Y' WHERE email='$email' AND unique_code='$unique_code'";
	  //ja viss norit pēc plāna, tad jūs aizsūta uz lapu login.php
if ($db->query($sqlk) === TRUE) {
    header('location: login.php');
}
else {
	echo 'Kautkas nogāja greizi. Lūdzu sazinieties ar mājaslapas īpašnieku ar epastu krakix987@gmail.com VAI forums@gamingforever.xyz';
}}}
?>
